/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Visual Field Illumination Color
 */
public enum EnumCV_VisualFieldIlluminationColor {

	//CID 4255 Visual Field Illumination Color
	YELLOW_G_A11D("G-A11D"),
	WHITE_G_A12B("G-A12B"),
	RED_G_A11A("G-A11A"),
	BLUE_G_A12F("G-A12F"),
	GREEN_G_A11E("G-A11E");
	private String value;

	EnumCV_VisualFieldIlluminationColor(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
